Subject: Re: [mif] Charging pulses

From: Hui Deng <[email-masked]>
Date: Fri, 6 Jan 2012 12:04:28 +0800

Today the connection manager inside the mobile cann't only get and display
the charging information which is similar to charging pulse, under that
condition, it would be hard to pursure that way, maybe todays' apple and
android has done is reasonable, that is "always prefer WLAN", but the only
issue they have is that this WLAN is not connected or died connection even
you can access the WLAN AP (for example, not yet go through captive
portal), if happy eyeball can solve this bad WLAN user experience, that
 would be good.

-Hui

2011/11/15 Brian E Carpenter <[email-masked]>

> Re the discussion on draft-chen-mif-happy-eyeballs-extension-03:
>
> Some may remember that the old fashioned telephone system used to
> generate charging pulses, a little beep each time it charged
> you a certain amount of money.
>
> Seems like we need that to make the happy-eyeballs-extension work;
> this would make it possible for the heuristic to actually work.
> Without it, I don't see how it can work.
>
> All we need is for all operators that charge by time and volume
> to send the charging pulses; flat rate operators don't need to
> bother.
>
> Easy enough to define an ICMP option for this.
>
> --
> Regards
>   Brian Carpenter
>
>
> _______________________________________________
> mif mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mif
>